#include "stable.h"
#include "cmwcalihalfcutcheck.h"

CMWCaliHalfcutCheck::CMWCaliHalfcutCheck(QWidget *parent)
	: CMWidget(parent)
{
	ui = new Ui::CMWCaliHalfcutCheck();
	ui->setupUi(this);
}

CMWCaliHalfcutCheck::~CMWCaliHalfcutCheck()
{

}

void CMWCaliHalfcutCheck::MInit()
{
	CProcess_HalfCutKerf* pKerf=GET_PROCESS(PROCESS_HALFKERF,SM_MAIN,CProcess_HalfCutKerf);
	Q_ASSERT(pKerf);
	Variant* pparam[5]={0};
	pparam[0]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_BeforeSearchSleep_ID);
	pparam[1]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AfterSearchSleep_ID);
	pparam[2]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AutoThresRange_ID);
	pparam[3]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AutoThresStep_ID);
	pparam[4]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_EnableAutoThres_ID);
	ui->widget->MParamInit_list(pparam,5);
	mchildwidgets[(uintptr_t)ui->widget]=ui->widget;

	/*CProcess_Cut* pProcessCut=GET_PROCESS(PROCESS_CUT,SM_MAIN,CProcess_Cut);
	pParam[5]=product->m_Variants.get_Variant(Var_MProduct_EnableAlignment_ID);
	pParam[6]=pLevel->m_Variants.get_Variant(Var_Process_Level_ModelTestCount);*/

    ui->widget->MParamInit_list(pparam,5);

    mchildwidgets[uintptr_t(ui->widget)]=ui->widget;
}
